
function ScanPoints_global = TransformScanPoints(ScanPoints_local, x, y, th)

laserOffset = 0.0; %0.063; % whatever! - already done in initial reading of laser data
ScanPoints_local(1,:) = ScanPoints_local(1,:) + laserOffset;
transMat = [ cos(th), -sin(th), x ; sin(th), cos(th), y ; 0, 0, 1 ];
ScanPoints_global = transMat * [ ScanPoints_local ; ones([1 size(ScanPoints_local,2)]) ];
ScanPoints_global = ScanPoints_global(1:2, :);
