
function [element, erro, bias] = FitLine(points)

% line is a 2x2 matrix defining the line
% erro gives the root mean square error
% bias gives the bias error

% this is a very simplified version
% Need to have a better version

pointsCount = size(points,2);

line = [points(:,1), points(:,end)];
element = GenerateWorldElement(line, 'LineSegment');

dists = element.etc.an*points(1,:) + element.etc.bn*points(2,:) + element.etc.cn;
erro = sqrt(sum(dists.^2)/pointsCount);
bias = sum(dists)/pointsCount;
