function DiscretizeLeastCostPath
global VGraph Control

% Structure Control
%                  .PathPoints
%                             .NowIndex
%                             .points

Control.PathPoints.points = [];
for a = 1:length(VGraph.LeastCostPath)
    
    p1 = [ VGraph.VertexCluster{VGraph.LeastCostPath(a).i}.Vertices(1,VGraph.LeastCostPath(a).v_i); ...
           VGraph.VertexCluster{VGraph.LeastCostPath(a).i}.Vertices(2,VGraph.LeastCostPath(a).v_i) ];
    p2 = [ VGraph.VertexCluster{VGraph.LeastCostPath(a).j}.Vertices(1,VGraph.LeastCostPath(a).v_j); ...
        VGraph.VertexCluster{VGraph.LeastCostPath(a).j}.Vertices(2,VGraph.LeastCostPath(a).v_j) ];
    if VGraph.LeastCostPath(a).direction == -1
        p = p1;
        p1 = p2;
        p2 = p;
    end

    interNo = round(norm(p1-p2)/Control.params.PathDiscretizationResolution);
    Control.PathPoints.points = [ Control.PathPoints.points , repmat(p1,[1 interNo+1])+repmat(p2-p1,[1 interNo+1]).*repmat((0:interNo)/interNo,[2 1]) ];
    
end

Control.PathPoints.NowIndex = 1;
