function result = isIntersect_Segments(s1, s2)

% s1 and s2 are structures
%           .v -- vertices (2x2 matrix with each column being the vertices)
%           .a, .b, .c -- coefficients defining the line

r1 = s1.a * s2.v(1,:)  +  s1.b * s2.v(2,:)  +  s1.c;
r2 = s2.a * s1.v(1,:)  +  s2.b * s1.v(2,:)  +  s2.c;

if r1(1)*r1(2)<=0  &&  r2(1)*r2(2)<=0
    result = 1;
else
    result = 0;
end
