function test2
clear all;
global UpdatedUObstaclesIndices Control
global VGraph Obstacles
global NowCoord GoalCoord

InitiateUObstacle('project2_sample.spec');
DrawScene('initiate');
DrawScene('UObstacles_Geometry');
DrawScene('NowPoint');
DrawScene('GoalPoint');

% load 'GazeboTools\scan_points_all.mat';
% for a = 1:10
%     UpdateDynamicUObstacles(scan_points_all{a});
%     UpdatedUObstaclesIndices,
% end
% DrawScene('UObstacles_Points');
% DrawScene('UObstacles_Geometry');

% Structure Control
%                  .params
%                         .RobotRadius
%                         .FeedbackLinearizationDistance
%                         .Clearance_KnownObstacles
%                         .Clearance_GeneratedObstacles
%                         .PathDiscretizationResolution

Control.params.RobotRadius = 0.1;
Control.params.FeedbackLinearizationDistance = 0.05;
Control.params.Clearance_KnownObstacles = 0.05; % 0.2;
Control.params.Clearance_GeneratedObstacles = 0.2;
Control.params.PathDiscretizationResolution = 0.03;

GenerateObstacles;
VGraph_Initiate;

VGraph_ComputeLeastCostPath;
ValidPath = VGraph_CheckLeastCostPath;
%ValidPath.Segment(1),

while ~ValidPath.isValid
    
    for a = 1:length(ValidPath.Segment)
        if ~ValidPath.Segment(a).isValid
            % Remove that segment
            VGraph_RemoveBlockedEdges(VGraph.LeastCostPath(a));
            % Add new obstacle
            for b=1:length(ValidPath.Segment(a).BlockObstacles)
                VGraph_AddObstacle(ValidPath.Segment(a).BlockObstacles(b));
            end
        end
    end
%     VGraph.InterClusterEdges{4,2},
%     break;
    VGraph_ComputeLeastCostPath;
    ValidPath = VGraph_CheckLeastCostPath;
end

DiscretizeLeastCostPath;


% ---------------------------------------------------------------

DrawScene('Obstacles');
DrawScene('VGraph');
DrawScene('Path');

% for a = 1:length(Control.PathPoints.points)
%     plot(Control.PathPoints.points(1,a), Control.PathPoints.points(2,a), 'b*');
%     pause(0.1);
% end

%VGraph_Draw;
